Subject: Re: FVWM: Remember icon placement?

From: Steve Talley <[email-masked]>
Date: Wed, 12 Jun 2002 12:50:33 -0600

Dominik,

It looks like your patch didn't make it into 2.4.8.  Should it have?

It did make it into 2.5, but Mikhael had indicated it would be in both
trees.

Thanks,

Steve

FVWM Users wrote:

> On Wed, Apr 17, 2002 at 09:39:45PM -0600, Steve Talley wrote:
> > Hello,
> >
> > I've just started using fvwm, and it is easily the best window manager
> > I've ever used.  Great job!!  I do have a question:
> >
> > How can I get fvwm to consistently remember the last position of an
> > icon?
> >
> > To start, I have this in my .fvwmrc:
> >
> >     Style * IconBox 0 0 -0 -0, IconFill top left, IconGrid 80 80
> >     Style * IconPosition
> >
> > Here's an example:
> >
> > Suppose I have three non-overlapping icons in the first three
> > positions in my icon box.  If I start an xterm, and then iconify it,
> > it will be placed in the fourth position (so far so good).  Now
> > suppose I close the application whose icon was occupying the 2nd
> > position in the icon box.  Now, if I deiconify and reiconify the
> > xterm, its icon will be moved to take the place of the closed app in
> > the 2nd position.  How can I force it to go back to the 4th position
> > where it was initially?
> >
> > I've found that fvwm will remember an icon's position only if I
> > manually drag it to a specific position.  Then every time it is
> > iconified it will return to the same position.  Otherwise, it seems
> > that fvwm has no memory of where the icon was placed before.
> >
> > The reason I ask is because I identify a specific xterm by its icon
> > position.  When that position isn't constant, I don't know which xterm
> > to go back to later.  The last window manager I used (CDE) remembered
> > an icon's last position, and always replaced it in the same position
> > unless a new icon had taken its place.  How can I tell fvwm to do this
> > as well?
>
> That couldn't be done easily until I committed my latest patch.
> With tomorrows snapshot you can use
>
>   Move $[i.x]p $[i.y]p
>
> on an icon.  Fvwm will remember that the icon was moved manually
> and always place it at its current position.  This should be done
> automatically when the window is iconified, e.g. with
>
>   AddToFunc my_iconify
>   + I iconify on
>   + I move $[i.x]p $[i.y]p
>
> Then use the my_iconify function instead of the Iconify command to
> iconify your windows.
>
> Bye
>
> Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Steve Talley <[email-masked]>
Date: Wed, 12 Jun 2002 14:16:58 -0600

Clarification -- Dominik's fix (Set is_icon_moved flag if icon is
moved non-interactively.) did make it in to 2.4.8, but the new
parameters $[i.x] and $[i.y] which are used below, are only available
in 2.5.x.

Steve

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 14 Jun 2002 11:54:13 +0200

> parameters $[i.x] and $[i.y] which are used below, are only available

That's right.  We don't put new features in the stable releases.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].